image: node:16-alpine

stages:
    - build 
    - test

build website:
    stage: build
    script:
        - yarn install
        - yarn build
    artifacts:
        paths:
            - build/

test website:
    stage: test
    script:
        - yarn global add serve
        - apk add curl
        - serve -s build &
        - sleep 10
        - curl http://localhost:3000 | grep "React App"
    dependencies:
        - build website

unit tests:
    stage: test
    script:
        - yarn install
        - yarn test
    dependencies:
        - build website
